package compbio.listeners;

import java.io.IOException;
import java.util.List;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import compbio.cassandra.DataBase;
import compbio.statistic.CassandraRequester;

/**
 * Servlet implementation class ServletJobsByIp
 */
public class ServletJobsByIp extends HttpServlet {
	private static final long serialVersionUID = 1L;
       

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		final long startTime = System.currentTimeMillis();
		int counter = Integer.parseInt(request.getParameter("counterIp"));
		CassandraRequester cr = new CassandraRequester();
		List<DataBase> r = cr.readIpByCounter(counter);
 		request.setAttribute("results", r);
 		final long endTime = System.currentTimeMillis();
		request.setAttribute("timeExecution", (endTime - startTime));
		request.setAttribute("counter", counter);
		RequestDispatcher rd = request.getRequestDispatcher("/ReportJobsByIp.jsp");
		rd.forward(request, response);
	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		doGet(request, response);
	}

}
